<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@C040=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@C025=5A</action>
      <action>maincpu.pb@C026=09</action>
    </script>
  </cheat>

  <cheat desc="Invincibility against bosses"> <comment>See the Dip Switch Menu to enable an alternate Invincibility cheat.</comment>
    <script state="on">
      <action>temp0 =maincpu.mb@4BB8</action>
    </script>
    <script state="run">
      <action>maincpu.mb@4BB8=C9</action>
    </script>
    <script state="off">
      <action>maincpu.mb@4BB8=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Select starting stage"> <comment>You should enable this cheat on the Press START button screen, ie. after credits have been inserted!</comment>
    <parameter min="1" max="16" step="1"/>
    <script state="on">
      <action>maincpu.pb@C108=FF</action>
    </script>
    <script state="change">
      <action>maincpu.pb@C108=(param-1)</action>
    </script>
  </cheat>

  <cheat desc="Select next stage">
    <parameter min="1" max="16" step="1"/>
    <script state="change">
      <action>maincpu.pb@C108=(param-1)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@C104=05</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@C135=04</action>
    </script>
  </cheat>

  <cheat desc="Normal Invincibility PL1"> <comment>See the Dip Switch Menu to enable an alternate Invincibility cheat.</comment>
    <script state="run">
      <action>maincpu.pb@C136=03</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@C184=05</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pb@C1B5=04</action>
    </script>
  </cheat>

  <cheat desc="Normal Invincibility PL2"> <comment>See the Dip Switch Menu to enable an alternate Invincibility cheat.</comment>
    <script state="run">
      <action>maincpu.pb@C1B6=03</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
